[SCM] Samba Shared Repository - branch master updated

David Disseldorp ddiss at samba.org
Tue Oct 30 06:18:02 MDT 2012


The branch, master has been updated
       via  a3a1cd4 packaging: Add NetworkManager dispatcher script for winbind.
      from  4dfded0 s3: Use file_id_string in file_id_string_tos

http://gitweb.samba.org/?p=samba.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit a3a1cd4797c99cb5fd0234c2dfe40e5dcafb05f8
Author: Andreas Schneider <asn at cryptomilk.org>
Date:   Fri Oct 26 12:46:21 2012 +0200

    packaging: Add NetworkManager dispatcher script for winbind.
    
    Signed-off-by: Andreas Schneider <asn at cryptomilk.org>
    Signed-off-by: Andreas Schneider <asn at samba.org>
    Reviewed-by: David Disseldorp <ddiss at samba.org>
    
    Autobuild-User(master): David Disseldorp <ddiss at samba.org>
    Autobuild-Date(master): Tue Oct 30 13:17:02 CET 2012 on sn-devel-104

-----------------------------------------------------------------------

Summary of changes:
 packaging/NetworkManager/30-winbind-systemd |   20 ++++++++++++++++++++
 packaging/NetworkManager/README             |    6 ++++++
 2 files changed, 26 insertions(+), 0 deletions(-)
 create mode 100755 packaging/NetworkManager/30-winbind-systemd
 create mode 100644 packaging/NetworkManager/README


Changeset truncated at 500 lines:

diff --git a/packaging/NetworkManager/30-winbind-systemd b/packaging/NetworkManager/30-winbind-systemd
new file mode 100755
index 0000000..af0edf9
--- /dev/null
+++ b/packaging/NetworkManager/30-winbind-systemd
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+winbind_is_active=$(/bin/systemctl is-active winbind.service)
+test "${winbind_is_active}" = "active" || exit 0
+
+winbind_offline_logon=$(testparm -s --parameter-name "winbind offline logon" 2>/dev/null)
+test "${winbind_offline_logon}" = "Yes" || exit 0
+
+case "$2" in
+	up|vpn-up)
+		nmb_is_active=$(/bin/systemctl is-active nmb.service)
+		if test "${nmb_is_active}" = "active"; then
+			/bin/systemctl try-restart nmb.service || :
+		fi
+		/usr/bin/smbcontrol winbind online || :
+	;;
+	down)
+		/usr/bin/smbcontrol winbind offline
+	;;
+esac
diff --git a/packaging/NetworkManager/README b/packaging/NetworkManager/README
new file mode 100644
index 0000000..0db8be6
--- /dev/null
+++ b/packaging/NetworkManager/README
@@ -0,0 +1,6 @@
+This directory includes files for the dispatcher of NetworkManager. The files
+need to be copied to /etc/NetworkManager/dispatcher.d/ and will be automatically
+called if a network interface goes up or down.
+
+30-winbind-systemd: This will set winbind into offline mode if you have winbind
+                    offline logon turned on.


-- 
Samba Shared Repository


More information about the samba-cvs mailing list